Register FAQ / Rules Forum Spy Search Today's Posts Mark Forums Read
Go Back   MacRumors Forums > Apple Systems and Services > Programming > Mac Programming

Reply
 
Thread Tools Search this Thread Display Modes
Old Feb 14, 2013, 07:27 PM   #1
GeoffWillis
macrumors newbie
 
Join Date: Mar 2012
Location: San Antonio, TX
Python and NLTK

Anybody have experience running NLTK on Mac Lion/Mountain Lion? I'm taking a class in Natural Language Processing and thought I'd download NLTK from NLTK.org, but their instructions don't seem to work. The instructions are:

1) Open Finder>Applications>Utilities>Terminal and type python -V to find out what version of Python is installed
2) Install Setuptools: Download the corresponding version of Setuptools from http://pypi.python.org/pypi/setuptools (scroll to the bottom, and pick the filename that contains the right version number and which has the extension .egg). Install it by typing sudo sh Downloads/setuptools-...egg, giving the location of the downloaded file.
3) Install Pip: run sudo easy_install pip
4) Install Numpy (optional): run sudo pip install -U numpy
5) Install PyYAML and NLTK: run sudo pip install -U pyyaml nltk
6) Test installation: run python then type import nltk

Problem is, the NUMPY install blows up, it looks like its trying to compile C and fortran code. I'm trying to learn NLTK, but have spent 2 days trying to just get it to run, let alone do anything with it.
I've found posts talking about needing "HomeBrew??", and "Xcode??". Seems like everything I want to do is dependent on something else. Is there a "Turn key" solution? Kinda like the story about up to your butt in Gators, forgot the original intent was to drain the swamp...
Appreciate any help, I'm really needing to lean this NLTK library, but somewhat stymied.
Thanks,
Geoff
GeoffWillis is offline   0 Reply With Quote
Old Feb 15, 2013, 02:08 AM   #2
axxxum
macrumors newbie
 
Join Date: Feb 2013
Location: Netherlands
I managed to install NLTK a while ago, I'm still on 10.5.8 though. I recall having problems with one of the packages mentioned on the NLTK-download/install page, but succeeded to install it through one of pythons myriad of install-package-options, forgot which, but it was one of the most used ones, found thru a google-query. Also, following the accompanying book, had troubles installing matplotlib, which took a few more tries (I recall downloading this and building it from scratch, not just install the package; no need for XCode, Apple's build-tool, here, just download and follow instructions in the READMEs).

But now it's working fine, and having a lot of fun with it!

Good luck!
axxxum is offline   0 Reply With Quote
Old Feb 15, 2013, 11:59 PM   #3
samwich
macrumors regular
 
Join Date: Aug 2007
I've alleviated many of my python install woes by using Macports (http://www.macports.org/). If you get that, you *should* be able to just run something like
Code:
sudo port install py26-nltk
and it will figure out the dependencies and install all the required modules for you
__________________
my portfolio
samwich is offline   0 Reply With Quote

Reply
MacRumors Forums > Apple Systems and Services > Programming > Mac Programming

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -5. The time now is 02:11 PM.

Mac Rumors | Mac | iPhone | iPhone Game Reviews | iPhone Apps

Mobile Version | Fixed | Fluid | Fluid HD
Copyright 2002-2013, MacRumors.com, LLC